% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/functions.R
\name{export_CondaEnv}
\alias{export_CondaEnv}
\alias{import_CondaEnv}
\title{Export Conda environment.}
\usage{
export_CondaEnv(
  env_name,
  yml_export = NULL,
  pathToMiniConda = NULL,
  depends = TRUE
)

import_CondaEnv(
  yml_import,
  name = NULL,
  pathToMiniConda = NULL,
  install = TRUE,
  channels = NULL,
  mamba = FALSE
)
}
\arguments{
\item{env_name}{Name of environment you want to save}

\item{yml_export}{Destination for exported environment yml file}

\item{pathToMiniConda}{NULL Path to miniconda installation}

\item{depends}{if FALSE will only include packages explicitly installed and not dependencies}

\item{yml_import}{conda environment yml file}

\item{name}{Name of the environment to create.}

\item{install}{TRUE/FALSE whether to install miniconda at path if it doesn't exist.}

\item{channels}{Channels for miniconda (bioconda and conda-forge are defaults).}

\item{mamba}{A logical about whether to use the mamba solver to speed up the resolution of environment dependencies (Default is FALSE).}
}
\value{
Nothing returned. Output written to file.

Nothing returned. Output written to file.
}
\description{
Export Conda environment

Import Conda environment
}
\details{
This function will export a yml config file corresponding to the provided conda environment.
For a more detailed walkthrough check our webpage: https://rockefelleruniversity.github.io/Herper_Page/

This function will recreate a conda environment from a provided yml config file.
}
\author{
Matt Paul
}
